# **RalyxOS**
Automated build system for RalyxOS, a rooted version of CalyxOS





## ⚠️ Cautionary Statement ⚠️
<span style="color: #f88;">You are using this software at your OWN RISK!<br />
Flashing custom firmware can cause PERMANENT DAMAGE to your device!<br />
This project is not affiliated with Google, CalyxOS, Magisk or any other tool used!</span>

- ⚠️ **Do NOT use the update tool** provided by the Magisk app. This will brick your device!
- ⚠️ If unsure, **always enable OEM Unlocking** before making any changes to the bootloader or rebooting afterwards!
- ⚠️ RalyxOS has only been tested on Android 14
- ⚠️ Even though this is an automated script, you should have a decent understanding of the Android build workflow and how firmware flashing works
- ⚠️ The script will warn you about dangerous steps and precautions to take. Read prompts thoroughly before proceeding!





## Setup
#### Installing required tools
```console
$ sudo apt update
$ sudo apt install bc curl default-jdk-headless default-jre-headless git libncurses5 libncurses5-dev libssl-dev lz4 m4 python3-lxml python3-protobuf python3-yaml python-is-python3 rsync zip
```
```console
$ curl https://storage.googleapis.com/git-repo-downloads/repo | sudo tee /usr/local/bin/repo > /dev/null
$ sudo chmod +x /usr/local/bin/repo
```

#### Selecting a suitable storage location
```console
$ cd /mnt/some-big-nvme-disk
```
<span style="color: #f88;">The Android codebase is huge. Make sure the _ralyxos_ folder has at least 400GB of free space and reasonably fast read/write speeds (SSD)!</span>

#### Installing the script
```console
$ git clone https://git.tjdev.de/DrMaxNix/ralyxos.git
```

#### TODO





## Attribution / Credits
<span style="color: #f88;">This project's MIT license only applies to files inside of its repository.<br />
Files downloaded by this software remain property of their respective owners!</span>

- CalyxOS: https://calyxos.org
- Magisk: https://github.com/topjohnwu/Magisk
- GH Gist by Mohammad Rezaei: https://gist.github.com/mohrezaei/69dae8c7d43c543b38ee5d33f67400b5
